# Class TrinoDriver

java.lang.Object
io.trino.jdbc.NonRegisteringTrinoDriver
io.trino.jdbc.TrinoDriver

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Driver`

public class TrinoDriver extends NonRegisteringTrinoDriver

## Constructor Summary

Constructors
Constructor
Description
`TrinoDriver()`

## Method Summary

### Methods inherited from class io.trino.jdbc.NonRegisteringTrinoDriver

`acceptsURL, close, connect, getMajorVersion, getMinorVersion, getParentLogger, getPropertyInfo, jdbcCompliant, wrapClient`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TrinoDriver

public TrinoDriver()